with GNATCOM.Dispinterface;

package MSHTML.IWBScriptControl_Interface is

   type IWBScriptControl_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IWBScriptControl_Type);

   function Pointer (This : IWBScriptControl_Type)
     return Pointer_To_IWBScriptControl;

   procedure Attach (This    : in out IWBScriptControl_Type;
                     Pointer : in     Pointer_To_IWBScriptControl);

   procedure raiseEvent
     (This      : IWBScriptControl_Type;
      name      : GNATCOM.Types.BSTR;
      eventData : GNATCOM.Types.VARIANT;
      Free      : Boolean := True);

   procedure bubbleEvent
     (This : IWBScriptControl_Type);

   procedure setContextMenu
     (This          : IWBScriptControl_Type;
      menuItemPairs : GNATCOM.Types.VARIANT;
      Free          : Boolean := True);

   procedure Put_selectableContent
     (This : IWBScriptControl_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_selectableContent
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_frozen
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_Scrollbar
     (This : IWBScriptControl_Type;
      p    : GNATCOM.Types.VARIANT_BOOL);

   function Get_Scrollbar
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   function Get_version
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.BSTR;

   function Get_visibility
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT_BOOL;

   procedure Put_onvisibilitychange
     (This : IWBScriptControl_Type;
      p    : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onvisibilitychange
     (This : IWBScriptControl_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IWBScriptControl_Interface;

